Contents

# Faankishinii sirna yaadaa

This category contains the Logical functions.

### Handling non-logical arguments in logical functions

- Zero (0) is equivalent to FALSE and all other numbers are equivalent to TRUE.

- Empty cells and text in cells are ignored.

- A #VALUE error is raised if all arguments are ignored.

- A #VALUE error is raised if one argument is direct text (not text in a cell).

- Errors as argument lead to an error.

Ajaja kana bira gahuuf...

Insert - Function - Category Logical

### ISNA

mandheen yoo gatii dogongoraa (gatii hin jirree) #N/A of keessatti qabaate DHUGAA kenna.

Yoo dogongorri mudate, faankishiniin SOBA kenna.

#### Syntax

ISNA(Gatii)

Gatiin ibsa ykn gatii qoratamuu qabudha.

#### Example

=ISNA(D3) akka carraatti SOBA kenna.

### ISERROR

Returns the value if the cell does not contain an error value, or the alternative value if it does.

This function is available since LibreOffice 4.0.

#### Syntax

IFERROR(Value; Alternate_value)

Value is the value or expression to be returned if it is not equal or results in an error.

Alternate_value is the value or expression to be returned if the expression or value of Value is equal or results in an error.

#### Example

=ISERROR(C8) yeroo mandheen C8 =1/0 of keessatti qabatu DHUGAA kenna, sababni isaas 1/0 n dogongoradha.

=ISERROR(C8) yeroo mandheen C8 =1/0 of keessatti qabatu DHUGAA kenna, sababni isaas 1/0 n dogongoradha.

## IFS

IFS is a multiple IF-function.

## SWITCH

SWITCH compares expression with value1 to valuen and returns the result belonging to the first value that equals expression. If there is no match and default_result is given, that will be returned.

## AND

Yoo qocolloon hunduu DHUGAA ta'an DHUGAA deebisa. Yoo elementiin tokko SOBA ta'e,faankishiniin kun gatii SOBAA deebisa.

Qocolloon sirna yaadaa (DHUGAA,1<5,2+3=7,B8<10) gatii sirna yaadaa deebisa,ykn aareen(A1:C3)gatii sirna yaadaa of keessaa qaba.

#### Syntax

AND(Logical 1 [; Logical 2 [; … [; Logical 255]]])

Logical 1; Logical 2; … ; Logical 255 are boolean values, references to cells or to cell ranges of logical values.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

Gatiin sirna yaada hundaa 12<13; 14>12, and 7<6 ni mirkanaa'a:

=FI(12<13;14>12;7<6) SOBA deebisa.

=AND(FALSE();TRUE()) returns FALSE.

The array formula {=AND(B1:B10;C1:C10)} yields a one-dimensional value of TRUE when all components of B1:B10 and C1:C10 are TRUE. The array expression above does not produce the logical AND per element, and thus does not produce an array of logical values. To compute a logical AND of arrays per element use the * operator in array context. In the example, enter {=B1:B10*C1:C10}.

## FALSE

Gatii sirna yaadaa SOBA deebisa. Faankishiniin SOBAA() yeroo hundaa gaii sirna yaadaa SOBA deebisa.

#### Syntax

FALSE()

#### Example

=N(SOBA) 0 deebisa

=NOT(SOBA()) DHUGAA deebisa.

## IF

sirna yaadaa hojjatamu adda baasa.

#### Syntax

IF(Test [; [ThenValue] [; [OtherwiseValue]]])

Yaaliin galii kamiyyuu ykn ibsa kan DHUGAA ykn SOBA ta'uu danda'a.

Achumaan gatiin (filannoo) gatii yoo sirni yaada yaalii DHUGAA ta'e deebisa.

Yoo hin taane gatiin (filannoo) gatii yoo sirni yaada yaalii SOBA ta'e deebisa.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

#### Example

=IF(A1>5;100;"too small") If the value in A1 is greater than 5, the value 100 is returned; otherwise, the text too small is returned.

=IF(A1>5;;"too small") If the value in A1 is greater than 5, the value 0 is returned because empty parameters are considered to be 0; otherwise, the text too small is returned.

=IF(A1>5;100;) If the value in A1 is less than 5, the value 0 is returned because the empty OtherwiseValue is interpreted as 0; otherwise 100 is returned.

## NOT

Gatii yaayaa guuchisaa(garagalchaa).

#### Syntax

NOT(Sirna yaadaa)

GatiiYaayaa gatii garagaru kamuudha.

#### Example

=NOT(A). A=DHUGAA gara A=SOBA.

## OR

Yoo qajeelfamni tokkollee TRUE ta'e TRUE deebisa. Yoo qajeelfamnoonni hunduu gatii yaayyaa FALSE ta'e, Faankishiniin kun FALSE deebisa.

Qocolloon sirna yaadaa (DHUGAA,1<5,2+3=7,B8<10) gatii sirna yaadaa deebisa,ykn aareen(A1:C3)gatii sirna yaadaa of keessaa qaba.

#### Syntax

OR(Logical 1 [; Logical 2 [; … [; Logical 255]]])

Logical 1; Logical 2; … ; Logical 255 are boolean values, references to cells or to cell ranges of logical values.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

Gatii yaayyaa kan 12<11;13>12, fi 45=45 hunduu mirkaneeffamuu qaba.

=OR(12<11;13>22;45=45) DHUGAA deebisa.

=OR(FALSE();TRUE()) returns TRUE.

The array formula {=OR(B1:B10;C1:C10)} yields a one-dimensional value of FALSE when all components of B1:B10 and C1:C10 are FALSE. The array expression above does not produce the logical OR per element, and thus does not produce an array of logical values. To compute a logical OR of arrays per element use the + operator in array context. In the example, enter {=B1:B10+C1:C10}.

## TRUE

Gatiin yaayyaa gara TRUE qindaa'a. Faankishiniin TRUE() qajeelfama kamiyyuu hin barbaadu, yeroo hundaa gatii yaayyaa TRUE deebisa.

#### Syntax

TRUE()

#### Example

Yoo A=TRUE fi B=FALSE fakkeenyi armaan gadii ni mul'ata:

=AND(A;B) FALSE deebisa

=OR(A;B)DHUGAA deebisa.

=NOT(AND(A;B)) DHUGAA deebisa.

## XOR

Returns true if an odd number of arguments evaluates to TRUE.

Qocolloon sirna yaadaa (DHUGAA,1<5,2+3=7,B8<10) gatii sirna yaadaa deebisa,ykn aareen(A1:C3)gatii sirna yaadaa of keessaa qaba.

This function is available since LibreOffice 4.0.

#### Syntax

XOR(Logical 1 [; Logical 2 [; … [; Logical 255]]])

Logical 1; Logical 2; … ; Logical 255 are boolean values, references to cells or to cell ranges of logical values.

#### Example

=XOR(TRUE();TRUE()) returns FALSE

=XOR(TRUE();TRUE();TRUE()) returns TRUE

=XOR(FALSE();TRUE()) returns TRUE

Matadureewwan Walfakkatan

Functions by Category

Please support us!